## bioruby 1.4.1

=== debian/changelog ===
bioruby (1.4.1-1) unstable; urgency=low

  * New upstream version
  * debian/control:
    - Standards-Version: 3.9.1 (no changes needed)
    - Added Recommends: hmmer, mafft, muscle, probcons, sim4, t-coffee
      which are called in lib/bio/appl
    - Added Suggests: clustalw (non-free), emboss (large and thus not
      always wanted on the system just for BioRuby development)
  * Source format 3.0 (quilt)

 -- Andreas Tille <tille@debian.org>  Thu, 25 Nov 2010 16:04:31 +0100

bioruby (1.4.0-2) unstable; urgency=low

  * Fixed long description
    Closes: #453022
  * New upstream version from past upload just
    Closes: #524180

 -- Andreas Tille <tille@debian.org>  Fri, 22 Jan 2010 16:26:50 +0100

bioruby (1.4.0-1) unstable; urgency=low

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 21 Jan 2010 11:42:04 +0100

bioruby (1.3.1-1) unstable; urgency=low

  * debian/control:
    - Group maintenance in Debian Med team
    - Added myself as uploader
    - Standards-Version: 3.8.3 (no changes needed)
    - Debhelper >= 7.1
    - Homepage and Vcs fileds

 -- Andreas Tille <tille@debian.org>  Sun, 04 Oct 2009 09:15:28 +0200

bioruby (1.1.0-1) unstable; urgency=low

  * New upstream version
    + Bioruby is now distributed under the same terms as ruby itself.
      This gives you the option of using the GPL or a similar copyleft
      license. See /usr/share/doc/libbio-ruby/copyright for details on the
      alternate license.
    + Lots of new and obsolete classes, see the upstream changelog for details
    + BioRuby shell rewritten to utilize the rails generators
    + Many bugfixes
  * Re-work build system to utilize install.rb instead of my custom rules file
    + Enable unit tests in the build
    + Don't hardcode the binary names when hacking off the .rb suffix. Use
      wildcards and a for loop to rename them
    + Remove the libbio-ruby1.8.dirs file. The directories get installed by
      the install.rb now
    + The docs are built by install.rb now, so don't do custom stuff for them
      in debian/rules
    + Move building the manpages to the build-stamp target, rather than the
      build target
    + Add ruby to build-depends

 -- David Nusinow <dnusinow@debian.org>  Sun, 22 Jul 2007 18:42:39 -0400

bioruby (1.0.0-1) unstable; urgency=low

  * New upstream version
  * Add the bioruby shell program
  * Add the Changes-0.7.html doc describing updates since 0.6.x
  * Bump standards version to 3.7.2.0. No changes needed.
  * Bump debhelper compat to 5
  * Move debhelper to build-depends from build-depends-indep

 -- David Nusinow <dnusinow@debian.org>  Thu, 17 Aug 2006 00:28:21 +0000

bioruby (0.6.4-1) unstable; urgency=low

  * New upstream release
    + siRNA designer class is contributed by Itoshi Nikaido.
      (lib/bio/util/sirna.rb)
    + fastacmd wrapper is contributed by Shinji Shigenobu.
      (lib/bio/io/fastacmd.rb)
    + bl2seq parser is contributed by Tomoaki Nishiyama.
      (lib/bio/appl/bl2seq/report.rb)
    + new application execution factory is provided.
      (lib/bio/command.rb)
    + FlatFile class can accept Blast results, Spidey, Blat, Sim4 and some
      KEGG formats (KO, GLYCAN, REACTION)
    + some methods are added to SPTr class proposed by Luca Pireddu.
      (lib/bio/db/embl/sptr.rb)
    + external2go parser is added. (lib/bio/db/go.rb)
    + improved amino/nucleic data classes to have some handy methods.
      (lib/bio/data/)
    + fixed hmmer parser (by Masashi Fujita) and remote execution of blast and
      fasta using GenomeNet.
    + some English documentations are added. (doc/)
  * Re-organize debian/rules handling of docs
    + Ship new English tutorial and KEGG_API. These are turned to html with rd2
    + Put document building commands in the build target instead of configure
    + Add commands to remove generated documents in the clean target
    + Put package building commands in binary-indep where they belong
  * Add build-dependency on rdtool to build html docs using rd2
  * Minor debian/copyright cleanup to get rid of stupid lintian warning about
    boilerplate
  * Change Build-Depends to Build-Depends-Indep
  * Update standards version to 3.6.2. No changes needed.
  * Add ruby1.8 to recommends for libbio-ruby1.8

 -- David Nusinow <dnusinow@debian.org>  Thu,  1 Sep 2005 14:04:35 -0400

bioruby (0.6.2-3) unstable; urgency=low

  * Add watch file

 -- David Nusinow <dnusinow@debian.org>  Thu,  7 Apr 2005 22:12:44 -0400

bioruby (0.6.2-2) unstable; urgency=low

  * Depend on libruby1.8 instead of ruby1.8 to bring in line with ruby policy
  * Add Recommends on blast2 for local blast
  * Depend on docbook-to-man; closes: #302360

 -- David Nusinow <dnusinow@debian.org>  Tue,  1 Feb 2005 00:25:45 -0500

bioruby (0.6.2-1) unstable; urgency=low

  * Initial Release.

 -- David Nusinow <dnusinow@debian.org>  Mon, 31 Jan 2005 11:11:55 -0500
