=== debian/control ===
Source: bioruby
Section: ruby
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.1), ruby
Build-Depends-Indep: docbook-to-man, rdtool
Standards-Version: 3.9.1
Homepage: http://www.bioruby.org
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/bioruby/?rev=0&sc=0
Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/bioruby/trunk/

Package: libbio-ruby1.8
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, libruby1.8
Recommends: ruby1.8, blast2, hmmer, mafft, muscle, probcons, sim4, t-coffee
Suggests: clustalw, emboss
Description: bioruby tools for computational molecular biology
 BioRuby project aims to implement an integrated environment for
 Bioinformatics with Ruby language. Design philosophy of the BioRuby library
 is KISS (keep it simple, stupid) to maximize the usability and the
 efficiency for biologists as a daily tool. The project was started in Japan
 and supported by University of Tokyo (Human Genome Center), Kyoto University
 (Bioinformatics Center) and the Open Bio Foundation.

Package: libbio-ruby
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, libbio-ruby1.8
Description: bioruby tools for computational molecular biology
 BioRuby project aims to implement an integrated environment for
 Bioinformatics with Ruby language. Design philosophy of the BioRuby library
 is KISS (keep it simple, stupid) to maximize the usability and the
 efficiency for biologists as a daily tool. The project was started in Japan
 and supported by University of Tokyo (Human Genome Center), Kyoto University
 (Bioinformatics Center) and the Open Bio Foundation.
 .
 This project is a dependency package, which depends on Debian's default Ruby
 version (currently 1.8.x)
