=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

RUBYVER = 1.8
RUBYDIR = usr/lib/ruby
SITELIBDIR = $(RUBYDIR)/$(RUBYVER)
PREFIXDIR = $(CURDIR)/debian/libbio-ruby$(RUBYVER)

configure: configure-stamp
configure-stamp:
	dh_testdir
	ruby setup.rb config --prefix=$(PREFIXDIR)/usr --site-ruby-common=$(PREFIXDIR)/$(RUBYDIR) --site-ruby=$(PREFIXDIR)/$(SITELIBDIR)
	ruby setup.rb setup
	ruby setup.rb test
	touch configure-stamp 

build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	# Build manpages
	docbook-to-man debian/br_biofetch.rb.sgml > br_biofetch.1
	docbook-to-man debian/br_bioflat.rb.sgml > br_bioflat.1
	docbook-to-man debian/br_biogetseq.rb.sgml > br_biogetseq.1
	docbook-to-man debian/br_pmfetch.rb.sgml > br_pmfetch.1
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean 
	ruby setup.rb config --prefix=$(CURDIR)/debian/libbio-ruby$(RUBYVER)/usr
	ruby setup.rb clean
	# Remove generated documents
	rm -f br_biofetch.1
	rm -f br_bioflat.1
	rm -f br_biogetseq.1
	rm -f br_pmfetch.1

install: build
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs
	
	ruby setup.rb install
	for FILE in `ls $(PREFIXDIR)/usr/bin/*rb`; do \
		BINNAME=$$(echo $$FILE | sed 's/\.rb$$//'); \
		mv $$FILE $$BINNAME; \
	done
	
	# Install docs
	dh_installdocs doc etc/bioinformatics/seqdatabase.ini
	dh_installexamples sample/*

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs 
	dh_installman
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
