=== debian/watch ===
version=3

http://bioruby.org/archive/bioruby-(.*)\.tar\.gz
